#!/bin/bash
cd ${0%${0##*/}}.
. ./conf.sh
. ./setenv.sh

if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

WIFI_HOME=.

CLASSPATH=$WIFI_HOME
CLASSPATH=${CLASSPATH}:$WIFI_HOME/lib/app/*:$WIFI_HOME/lib/ext/*:$WIFI_HOME/lib/custom/*

COMMON_PARAMS="-Djava.net.preferIPv4Stack=true"
PARAMS="-Dlog4j.configuration=log4j_wifi.xml  -Dlog.dir.path=log/"
MEMORY=-Xmx256m

if [ "$1" = "start" ]; then
    nohup ${JAVA_HOME}/bin/java ${COMMON_PARAMS} ${PARAMS} ${MEMORY} ${SETUP_NAME} -cp ${CLASSPATH} ru.bitel.bgbilling.modules.inet.wifi.InetWiFiAgent inet_wifi_agent $1 $2 $3 $4 $5 $6 > ./log/agent.out 2>&1 &
else

  if [ "$1" = "debug" ]; then
  	  #starting in debug mode
  	  nohup  ${JAVA_HOME}/bin/java ${COMMON_PARAMS} ${PARAMS} ${MEMORY} -cp ${CLASSPATH} -enableassertions -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,address=5589,server=y,suspend=n ru.bitel.bgbilling.modules.inet.wifi.InetWiFiAgent inet_wifi_agent start $2 $3 $4 $5 $6 > ./log/agent.out 2>&1 &
  else    
	${JAVA_HOME}/bin/java ${COMMON_PARAMS} ${MEMORY} ${SETUP_NAME} -cp ${CLASSPATH} ru.bitel.bgbilling.modules.inet.wifi.InetWiFiAgent inet_wifi_agent $1 $2 $3 $4 $5 $6
  fi
fi
